libraw1394: version 2.0.4
Prev |  | Next

# raw1394_update_config_rom

## Name

raw1394_update_config_rom -- updates the configuration ROM of a host

## Synopsis

``int raw1394_update_config_rom` (raw1394handle_t handle, const quadlet_t * new_rom, size_t size, unsigned char rom_version);`

## Arguments

`handle`

  libraw1394 handle

`new_rom`

  a pointer to the new ROM image

`size`

  the size of the new ROM image in bytes

`rom_version`

  the version numer of the current version, not the new

## Description

`rom_version` must be the current version, otherwise it will fail with return value -1.

## Returns

-1 (failure) if the version is incorrect, -2 (failure) if the new rom version is too big, or 0 for success

Prev | Home | Next
raw1394_get_libversion | Up | raw1394_get_config_rom